=== modified file 'account_invoice_webkit/account_invoice.py'
--- account_invoice_webkit/account_invoice.py	2012-04-09 10:45:09 +0000
+++ account_invoice_webkit/account_invoice.py	2012-04-18 07:35:42 +0000
@@ -19,13 +19,7 @@
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 ##############################################################################
-
-import time
-from lxml import etree
 import decimal_precision as dp
-
-import netsvc
-import pooler
 from osv import fields, osv, orm
 from tools.translate import _
 import one2many_sorted

=== modified file 'account_payment_extension/payment.py'
--- account_payment_extension/payment.py	2011-09-18 17:40:56 +0000
+++ account_payment_extension/payment.py	2012-04-18 07:35:42 +0000
@@ -20,12 +20,8 @@
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 ##############################################################################
-
-import time
-import netsvc
 from osv import fields, osv
 from tools.translate import _
-import decimal_precision as dp
 
 class payment_type(osv.osv):
     _name= 'payment.type'

=== modified file 'c2c_account_line_change/wizard/account_move_line_change.py'
--- c2c_account_line_change/wizard/account_move_line_change.py	2012-04-17 15:37:10 +0000
+++ c2c_account_line_change/wizard/account_move_line_change.py	2012-04-18 07:35:42 +0000
@@ -33,7 +33,7 @@
             context = {}
         record_id = context and context.get('active_id', False)
         line = self.pool.get('account.move.line').browse(cr, uid, record_id, context=context)
-        self._logger.debug('get_account  `%s` `%s` `%s` `%s`', (context, record_id, line.account_id.id,line.account_id.type, line.account_id.user_type.id))
+        self._logger.debug('get_account  `%s` `%s` `%s` `%s`', context, record_id, line.account_id.id,line.account_id.type, line.account_id.user_type.id)
         return  {'account_id' : line.account_id.id, 
                  'account_type' : line.account_id.type, 
                  'account_user_type' : line.account_id.user_type.id,
@@ -67,7 +67,7 @@
             raise osv.except_osv(_('Warning !'),'Currently this wizard is for open periods only.')
         if line.account_id.type != 'other':
             raise osv.except_osv(_('Warning !'),'Currently this wizard is for account type "Other".')
-        self._logger.debug('view_init `%s` `%s` `%s`', (context, record_id, line.account_id.id))
+        self._logger.debug('view_init `%s` `%s` `%s`', context, record_id, line.account_id.id)
         return False
         
 
@@ -93,7 +93,7 @@
         line = line_obj.browse(cr, uid, record_ids, context=context)
         
         vals['account_id'] =  new_account_id
-        self._logger.debug('new context `%s` `%s` `%s` `%s`', (record_ids, context, vals, update_check))
+        self._logger.debug('new context `%s` `%s` `%s` `%s`', record_ids, context, vals, update_check)
         
         line_obj.write(cr, uid, record_ids, vals, context, check, update_check)
         return {'type': 'ir.actions.act_window_close'}

=== modified file 'c2c_autosearch_check/autosearch.py'
--- c2c_autosearch_check/autosearch.py	2012-04-17 15:37:10 +0000
+++ c2c_autosearch_check/autosearch.py	2012-04-18 07:35:42 +0000
@@ -35,7 +35,7 @@
 class act_window(osv.osv):
     _inherit = "ir.actions.act_window"
     _autosearch_check_limit = 80
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def run_auto_search_check(self, cr, uid):
         window_obj = self.pool.get('ir.actions.act_window')

=== modified file 'c2c_budget/wizard/chart.py'
--- c2c_budget/wizard/chart.py	2012-04-17 15:37:10 +0000
+++ c2c_budget/wizard/chart.py	2012-04-18 07:35:42 +0000
@@ -144,7 +144,7 @@
             context = {}
         data = self.read(cr, uid, ids, [], context=context)[0]
 
-        self._logger.debug('open `%s` `%s` `%s`', (context.get('open'), data['period_from'][0],  data['period_to'][0]))
+        self._logger.debug('open `%s` `%s` `%s`', context.get('open'), data['period_from'][0],  data['period_to'][0])
         if context.get('open')  == 'view':
             result = mod_obj.get_object_reference(cr, uid, 'c2c_budget', 'open_budget_items_tree')
             id = result and result[1] or False

=== modified file 'c2c_product_price_unit/account_invoice.py'
--- c2c_product_price_unit/account_invoice.py	2012-04-17 15:44:16 +0000
+++ c2c_product_price_unit/account_invoice.py	2012-04-18 07:35:42 +0000
@@ -29,7 +29,7 @@
 #----------------------------------------------------------
 class account_invoice_line(osv.osv):
     _inherit = "account.invoice.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _get_default_id(self, cr, uid, price_unit_id, context=None):
        self._logger.debug('invoice pi_id `%s`', price_unit_id)

=== modified file 'c2c_product_price_unit/hr_expense.py'
--- c2c_product_price_unit/hr_expense.py	2012-04-17 15:44:16 +0000
+++ c2c_product_price_unit/hr_expense.py	2012-04-18 07:35:42 +0000
@@ -36,7 +36,7 @@
 #----------------------------------------------------------
 class hr_expense_line(osv.osv):
     _inherit = "hr.expense.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _get_price_unit_id(self, cr, uid, context):
         self._logger.debug('%s', context)

=== modified file 'c2c_product_price_unit/purchase.py'
--- c2c_product_price_unit/purchase.py	2012-04-17 15:44:16 +0000
+++ c2c_product_price_unit/purchase.py	2012-04-18 07:35:42 +0000
@@ -29,7 +29,7 @@
 #----------------------------------------------------------
 class purchase_order_line(osv.osv):
     _inherit = "purchase.order.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _get_default_id(self, cr, uid, price_unit_id, context=None):
        pu = self.pool.get('c2c_product.price.unit')

=== modified file 'c2c_product_price_unit/sale.py'
--- c2c_product_price_unit/sale.py	2012-04-17 15:44:16 +0000
+++ c2c_product_price_unit/sale.py	2012-04-18 07:35:42 +0000
@@ -29,7 +29,7 @@
 #----------------------------------------------------------
 class sale_order_line(osv.osv):
     _inherit = "sale.order.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _get_default_id(self, cr, uid, price_unit_id, context=None):
        pu = self.pool.get('c2c_product.price.unit')
@@ -102,7 +102,7 @@
 
 class sale_order(osv.osv):
     _inherit = "sale.order"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     # FIXME define ship line fields like in purchase order
     # should store price_unit_id for sales

=== modified file 'c2c_product_price_unit/stock.py'
--- c2c_product_price_unit/stock.py	2012-04-17 15:44:16 +0000
+++ c2c_product_price_unit/stock.py	2012-04-18 07:35:42 +0000
@@ -94,7 +94,7 @@
 #----------------------------------------------------------
 class stock_picking(osv.osv):
     _inherit = "stock.picking"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _invoice_line_hook(self, cr, uid, move_line, invoice_line_id):
         '''Call after the creation of the invoice line'''

=== modified file 'c2c_product_price_unit/wizard/purchase_line_invoice.py'
--- c2c_product_price_unit/wizard/purchase_line_invoice.py	2012-04-17 15:37:10 +0000
+++ c2c_product_price_unit/wizard/purchase_line_invoice.py	2012-04-18 07:35:42 +0000
@@ -27,7 +27,7 @@
 
 class purchase_line_invoice(osv.osv_memory):
     _inherit = 'purchase.order.line_invoice'
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
     
     def makeInvoices(self, cr, uid, ids, context=None):
         res = super(purchase.order.line_invoice,self).makeInvoices(cr, uid, ids, context=None)
@@ -43,7 +43,7 @@
     """ inclusive price_unit"""
     _inherit = 'purchase.order.line_invoice'
     _description = 'Purchase Order Line Make Invoice c2c'
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
     
     def makeInvoices(self, cr, uid, ids, context=None):
         self._logger.debug('invoice modified')

=== modified file 'c2c_product_price_unit/wizard/stock_partial_picking.py'
--- c2c_product_price_unit/wizard/stock_partial_picking.py	2012-04-17 15:37:10 +0000
+++ c2c_product_price_unit/wizard/stock_partial_picking.py	2012-04-18 07:35:42 +0000
@@ -45,7 +45,7 @@
 
 class stock_partial_picking(osv.osv_memory):
     _inherit = "stock.partial.picking"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _product_cost_for_average_update(self, cr, uid, move):
        res = super(stock_partial_picking,self)._product_cost_for_average_update(cr, uid, move )

=== modified file 'c2c_project_timesheet/timesheet_task.py'
--- c2c_project_timesheet/timesheet_task.py	2012-04-17 15:37:10 +0000
+++ c2c_project_timesheet/timesheet_task.py	2012-04-18 07:35:42 +0000
@@ -37,7 +37,7 @@
 
 class project_work(osv.osv):
     _inherit = "project.task.work"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
     
     def _update_project_id(self, cr, uid, ids, context=None):
         task_work_obj = self.pool.get('project.task.work')

=== modified file 'c2c_reporting_tools/c2c_osv_debugger.py'
--- c2c_reporting_tools/c2c_osv_debugger.py	2011-09-18 17:42:00 +0000
+++ c2c_reporting_tools/c2c_osv_debugger.py	2012-04-18 07:35:42 +0000
@@ -31,9 +31,7 @@
 #
 ##############################################################################
 from osv import fields, osv
-import netsvc
-logger = netsvc.Logger()
-
+import logging
 
 class c2c_osv_debugger(osv.osv):
     """ this class is used to debbug a class. inherit (in python way, not openerp way) your class from this one instead of osv.osv to get traces of methods call """
@@ -43,230 +41,231 @@
     # print_level = 10 --> print only which method is called
     # print_level = 20 --> print also the params and return values of the call
     PRINT_LEVEL = 20
+    _logger = logging.getLogger(__name__)
 
     def name_search(self, cr, user, obj, name, args,context={}):
         if self.PRINT_LEVEL >= 10: 
-            logger.notifyChannel('c2cdebug NAME_SEARCH call. ')
+            self._logger.debug('c2cdebug NAME_SEARCH call. ')
         
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  obj:     ', obj)
-            logger.notifyChannel('  name:    ', name)
-            logger.notifyChannel('  args:    ',args)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  obj:     ', obj)
+            self._logger.debug('  name:    ', name)
+            self._logger.debug('  args:    ',args)
+            self._logger.debug('  context: ', context)
 
         result = super(c2c_osv_debugger,self).name_search(cr,user,obj,name,args,context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug NAME_SEARCH result: ', result)
+            self._logger.debug('c2cdebug NAME_SEARCH result: ', result)
         return result
     
     
     def search(self, cr, user, args, offset=0, limit=None, order=None, context=None, count=False):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: SEARCH called')
+            self._logger.debug('c2cdebug: SEARCH called')
 
         if self.PRINT_LEVEL >= 20:    
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  args:    ', args)
-            logger.notifyChannel('  offset:  ', offset)
-            logger.notifyChannel('  limit:   ', limit)
-            logger.notifyChannel('  order:   ', order)
-            logger.notifyChannel('  context: ', context)
-            logger.notifyChannel('  count:   ', count)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  args:    ', args)
+            self._logger.debug('  offset:  ', offset)
+            self._logger.debug('  limit:   ', limit)
+            self._logger.debug('  order:   ', order)
+            self._logger.debug('  context: ', context)
+            self._logger.debug('  count:   ', count)
         result = super(c2c_osv_debugger,self).search(cr,user,args,offset=offset,limit=limit,order=order,context=context,count=count)
         
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: SEARCH result: ', result)
+            self._logger.debug('c2cdebug: SEARCH result: ', result)
         return result
     
       
     def create(self, cr, user, vals, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: CREATE called')
+            self._logger.debug('c2cdebug: CREATE called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('   user:   ', user)
-            logger.notifyChannel('   vals:   ', vals)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('   user:   ', user)
+            self._logger.debug('   vals:   ', vals)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger,self).create(cr, user, vals, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: CREATE result: ', result)
+            self._logger.debug('c2cdebug: CREATE result: ', result)
         return result
     
     
     def read(self, cr, user, ids, fields=None, context=None, load='_classic_read'):       
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: READ called')
+            self._logger.debug('c2cdebug: READ called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  ids:     ', ids)
-            logger.notifyChannel('  fields:  ', fields)
-            logger.notifyChannel('  context: ', context)
-            logger.notifyChannel('  load:    ', load)   
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  ids:     ', ids)
+            self._logger.debug('  fields:  ', fields)
+            self._logger.debug('  context: ', context)
+            self._logger.debug('  load:    ', load)   
         
         result = super(c2c_osv_debugger,self).read(cr, user, ids, fields=fields, context=context, load=load)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: READ result: ', result)
+            self._logger.debug('c2cdebug: READ result: ', result)
         return result
     
         
     def write(self, cr, user, ids, vals, context=None):        
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: WRITE called')
+            self._logger.debug('c2cdebug: WRITE called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  ids:     ', ids)
-            logger.notifyChannel('  vals:    ', vals)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  ids:     ', ids)
+            self._logger.debug('  vals:    ', vals)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger,self).write(cr, user, ids, vals, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: WRITE result: ', result)
+            self._logger.debug('c2cdebug: WRITE result: ', result)
         return result
     
     def browse(self, cr, uid, select, context=None, list_class=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: BROWSE called')
+            self._logger.debug('c2cdebug: BROWSE called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  uid:        ', uid)
-            logger.notifyChannel('  select:     ', select)
-            logger.notifyChannel('  context:    ', context)
-            logger.notifyChannel('  list_class: ', list_class)
+            self._logger.debug('  uid:        ', uid)
+            self._logger.debug('  select:     ', select)
+            self._logger.debug('  context:    ', context)
+            self._logger.debug('  list_class: ', list_class)
         
         result = super(c2c_osv_debugger,self).browse(cr, uid, select, context=context, list_class=list_class)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: BROWSE result: ', result)
+            self._logger.debug('c2cdebug: BROWSE result: ', result)
         return result
     
     def default_get(self, cr, uid, fields, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: DEFAULT_GET called')
+            self._logger.debug('c2cdebug: DEFAULT_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  uid:     ', uid)
-            logger.notifyChannel('  fields:  ', fields)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  uid:     ', uid)
+            self._logger.debug('  fields:  ', fields)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger,self).default_get(cr, uid, fields, context=context);
 
         if self.PRINT_LEVEL >= 20:
-           logger.notifyChannel('c2cdebug: DEFAULT_GET result: ', result)
+           self._logger.debug('c2cdebug: DEFAULT_GET result: ', result)
         return result
     
     def copy(self, cr, uid, id, default=None, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: COPY called')
+            self._logger.debug('c2cdebug: COPY called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  uid:     ', uid)
-            logger.notifyChannel('  id:      ', id)
-            logger.notifyChannel('  default: ', default)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  uid:     ', uid)
+            self._logger.debug('  id:      ', id)
+            self._logger.debug('  default: ', default)
+            self._logger.debug('  context: ', context)
 
         result = super(c2c_osv_debugger,self).copy(cr, uid, id, default=default, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: COPY result: ', result)
+            self._logger.debug('c2cdebug: COPY result: ', result)
         return result
     
     
     def unlink(self, cr, uid, ids, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: UNLINK called')
+            self._logger.debug('c2cdebug: UNLINK called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  uid:     ', uid)
-            logger.notifyChannel('  ids:      ', ids)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  uid:     ', uid)
+            self._logger.debug('  ids:      ', ids)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger, self).unlink(cr, uid, ids, context=context)
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: UNLINK result: ', result)
+            self._logger.debug('c2cdebug: UNLINK result: ', result)
         return result
 
         
     def name_get(self, cr, user, ids, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: NAME_GET called')
+            self._logger.debug('c2cdebug: NAME_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  ids:     ', ids)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  ids:     ', ids)
+            self._logger.debug('  context: ', context)
         
         
         result = super(c2c_osv_debugger,self).name_get(cr, user, ids, context=context)
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: NAME_GET result: ', result)
+            self._logger.debug('c2cdebug: NAME_GET result: ', result)
         return result
     
     def search_count(self, cr, user, args, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: SEARCH_COUNT called')
+            self._logger.debug('c2cdebug: SEARCH_COUNT called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  args:    ', args)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  args:    ', args)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger,self).search_count(cr, user, args, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: SEARCH_COUNT result: ', result)
+            self._logger.debug('c2cdebug: SEARCH_COUNT result: ', result)
         return result
     
     def fields_get(self, cr, user, fields=None, context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: FIELDS_GET called')
+            self._logger.debug('c2cdebug: FIELDS_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:    ', user)
-            logger.notifyChannel('  fields:  ', fields)
-            logger.notifyChannel('  context: ', context)
+            self._logger.debug('  user:    ', user)
+            self._logger.debug('  fields:  ', fields)
+            self._logger.debug('  context: ', context)
         result = super(c2c_osv_debugger,self).fields_get(cr, user, fields=fields, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: FIELDS_GET result: ', result)
+            self._logger.debug('c2cdebug: FIELDS_GET result: ', result)
         return result
         
     def fields_view_get(self, cr, user, view_id=None, view_type='form', context=None, toolbar=False):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: FIELDS_VIEW_GET called')
+            self._logger.debug('c2cdebug: FIELDS_VIEW_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:      ', user)
-            logger.notifyChannel('  view_id:   ', view_id)
-            logger.notifyChannel('  view_type: ', view_type)
-            logger.notifyChannel('  context:   ', context)
-            logger.notifyChannel('  toolbar:   ', toolbar)
+            self._logger.debug('  user:      ', user)
+            self._logger.debug('  view_id:   ', view_id)
+            self._logger.debug('  view_type: ', view_type)
+            self._logger.debug('  context:   ', context)
+            self._logger.debug('  toolbar:   ', toolbar)
 
         result = super(c2c_osv_debugger,self).fields_view_get(cr, user, view_id=view_id, view_type=view_type, context=context, toolbar=toolbar)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: FIELDS_VIEW_GET result: ', result)
+            self._logger.debug('c2cdebug: FIELDS_VIEW_GET result: ', result)
         return result
         
     def view_header_get(self, cr, user, view_id=None, view_type='form', context=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: VIEW_HEADER_GET called')
+            self._logger.debug('c2cdebug: VIEW_HEADER_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  user:      ', user)
-            logger.notifyChannel('  view_id:   ', view_id)
-            logger.notifyChannel('  view_type: ', view_type)
-            logger.notifyChannel('  context:   ', context)
+            self._logger.debug('  user:      ', user)
+            self._logger.debug('  view_id:   ', view_id)
+            self._logger.debug('  view_type: ', view_type)
+            self._logger.debug('  context:   ', context)
 
         result = super(c2c_osv_debugger,self).view_header_get(cr, user, view_id=view_id, view_type=view_type, context=context)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: VIEW_HEADER_GET result: ', result)
+            self._logger.debug('c2cdebug: VIEW_HEADER_GET result: ', result)
         return result
         
     def distinct_field_get(self, cr, uid, field, value, args=None, offset=0, limit=None):
         if self.PRINT_LEVEL >= 10:
-            logger.notifyChannel('c2cdebug: DISTINCT_FIELD_GET called')
+            self._logger.debug('c2cdebug: DISTINCT_FIELD_GET called')
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('  uid:       ', user)
-            logger.notifyChannel('  field:     ', view_id)
-            logger.notifyChannel('  value:     ', view_type)
-            logger.notifyChannel('  args:      ', args)
-            logger.notifyChannel('  offset:    ', offset)
-            logger.notifyChannel('  limit:     ', limit)
+            self._logger.debug('  uid:       ', user)
+            self._logger.debug('  field:     ', view_id)
+            self._logger.debug('  value:     ', view_type)
+            self._logger.debug('  args:      ', args)
+            self._logger.debug('  offset:    ', offset)
+            self._logger.debug('  limit:     ', limit)
 
         result = super(c2c_osv_debugger,self).distinct_field_get(cr, uid, field, value, args=args, offset=offset, limit=limit)
 
         if self.PRINT_LEVEL >= 20:
-            logger.notifyChannel('c2cdebug: DISTINCT_FIELD_GET result: ', result)
+            self._logger.debug('c2cdebug: DISTINCT_FIELD_GET result: ', result)
         return result

=== modified file 'c2c_reporting_tools/reports/standard_report.py'
--- c2c_reporting_tools/reports/standard_report.py	2011-09-18 17:42:00 +0000
+++ c2c_reporting_tools/reports/standard_report.py	2012-04-18 07:35:42 +0000
@@ -55,9 +55,7 @@
 
 
 import pooler
-import netsvc
-import time
-
+import logging
 import tools
 import inspect
 
@@ -66,7 +64,7 @@
     """ report made in python """
 
     logger = None
-
+    _logger = logging.getLogger("PythonReport")
     cr = None
     uid = None
     ids = None
@@ -80,7 +78,7 @@
     
     def __init__(self, openerp_name, objects_name=None):
         """ constructor """
-        self.logger = netsvc.Logger()
+        self.logger = self._logger
         self.objects_name = objects_name
         super(PythonReport, self).__init__(openerp_name)
         

=== modified file 'c2c_sequence_fy/account_move.py'
--- c2c_sequence_fy/account_move.py	2012-04-17 15:44:16 +0000
+++ c2c_sequence_fy/account_move.py	2012-04-18 07:35:42 +0000
@@ -25,7 +25,7 @@
 
 class account_move(osv.osv):
     _inherit = "account.move"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def post(self, cr, uid, ids, context=None):
         self._logger.debug('post move context `%s`', context)

=== modified file 'c2c_sequence_fy/ir_sequence.py'
--- c2c_sequence_fy/ir_sequence.py	2012-04-17 15:44:16 +0000
+++ c2c_sequence_fy/ir_sequence.py	2012-04-18 07:35:42 +0000
@@ -26,7 +26,7 @@
 
 class ir_sequence(osv.osv):
     _inherit = 'ir.sequence'
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def next_by_id(self, cr, uid, sequence_id, context=None):
         """ Draw an interpolated string using the specified sequence."""

=== modified file 'c2c_stock_accounting/stock.py'
--- c2c_stock_accounting/stock.py	2012-04-17 15:44:16 +0000
+++ c2c_stock_accounting/stock.py	2012-04-18 07:35:42 +0000
@@ -29,7 +29,7 @@
 #----------------------------------------------------------
 class stock_move(osv.osv):
     _inherit = "stock.move"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _compute_move_value_cost(self, cr, uid, ids, name, args, context):
         if not ids : return {}

=== modified file 'c2c_timesheet_reports/report/timesheet_status.py'
--- c2c_timesheet_reports/report/timesheet_status.py	2012-02-20 08:29:57 +0000
+++ c2c_timesheet_reports/report/timesheet_status.py	2012-04-18 07:35:42 +0000
@@ -34,15 +34,11 @@
 from report import report_sxw
 import pooler
 from mx import DateTime
-import netsvc
-
-
 
 class timesheet_status(report_sxw.rml_parse):
     
     _name = 'c2c_timesheet_reports.timesheet_status'
     
-    
     cr = None
     pool = None
     uid = []
@@ -54,7 +50,6 @@
         """ init """
         
         super(timesheet_status, self).__init__(cr, uid, name, context)
-        self.logger = netsvc.Logger()
 
         self.data = {}
         self.time = time.time()        

=== modified file 'chricar_account_analytic/account_analytic.py'
--- chricar_account_analytic/account_analytic.py	2012-04-17 15:37:10 +0000
+++ chricar_account_analytic/account_analytic.py	2012-04-18 07:35:42 +0000
@@ -298,7 +298,7 @@
 
 class account_bank_statement_line(osv.osv):
     _inherit = "account.bank.statement.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _check_analytic_account_exists(self, cr, uid, ids):
         for move in self.browse(cr, uid, ids):  

=== modified file 'chricar_account_analytic/sale_make_invoice_advance.py'
--- chricar_account_analytic/sale_make_invoice_advance.py	2012-04-17 15:37:10 +0000
+++ chricar_account_analytic/sale_make_invoice_advance.py	2012-04-18 07:35:42 +0000
@@ -23,7 +23,7 @@
 
 class sale_advance_payment_inv(osv.osv_memory):
     _inherit = "sale.advance.payment.inv"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def create_invoices(self, cr, uid, ids, context=None):
         """

=== modified file 'chricar_account_analytic/stock.py'
--- chricar_account_analytic/stock.py	2012-04-17 07:35:23 +0000
+++ chricar_account_analytic/stock.py	2012-04-18 07:35:42 +0000
@@ -18,29 +18,26 @@
 #    You should have received a copy of the GNU Affero General Public License
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-
-
 from osv import osv, fields
 from tools.translate import _
-import netsvc
+import logging
 
 #----------------------------------------------------------
 # Stock Picking
 #----------------------------------------------------------
 class stock_picking(osv.osv):
     _inherit = "stock.picking"
+    _logger = logging.getLogger(__name__)
 
     def _get_account_analytic_invoice(self, cr, uid, picking, move_line):
         analytic_id = super(stock_picking,self)._get_account_analytic_invoice(cr, uid, picking, move_line)
 
-        logger = netsvc.Logger()
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'_get_account_analytic_invoice FGF:  %s '%(analytic_id))
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'_get_account_analytic_invoice FGF:  %s '%(picking))
+        self._logger.debug('_get_account_analytic_invoice FGF:  %s ', analytic_id)
+        self._logger.debug('_get_account_analytic_invoice FGF:  %s ', picking)
         return analytic_id
 
     def _invoice_line_hook(self, cr, uid, move_line, invoice_line_id):
-        logger = netsvc.Logger()
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'analytic _invoice_line_id FGF:  %s '%(invoice_line_id))
+        self._logger.debug('analytic _invoice_line_id FGF:  %s ', invoice_line_id)
         inv_line_obj = self.pool.get('account.invoice.line')
         inv_line = inv_line_obj.browse(cr,uid,invoice_line_id)
         if not inv_line.account_analytic_id and inv_line.account_id.analytic_account_id:

=== modified file 'chricar_account_period_sum/chricar_account.py'
--- chricar_account_period_sum/chricar_account.py	2012-04-17 15:37:10 +0000
+++ chricar_account_period_sum/chricar_account.py	2012-04-18 07:35:42 +0000
@@ -28,7 +28,7 @@
 
 class account_account(osv.osv):
     _inherit = "account.account"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def __compute_sum(self, cr, uid, ids, field_names, arg=None, context=None,
                   query='', query_params=()):

=== modified file 'chricar_bank_vat/bank_account_vat.py'
--- chricar_bank_vat/bank_account_vat.py	2012-04-17 15:37:10 +0000
+++ chricar_bank_vat/bank_account_vat.py	2012-04-18 07:35:42 +0000
@@ -184,7 +184,7 @@
 
 class account_bank_statement_line(osv.osv):
     _inherit = "account.bank.statement.line"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
     _columns = {
         'tax_id': fields.many2one("account.tax","Tax",
             help="VAT for this line, only allowed if no partner specified"),

=== modified file 'chricar_budget_lines/budget_lines.py'
--- chricar_budget_lines/budget_lines.py	2012-04-17 15:44:16 +0000
+++ chricar_budget_lines/budget_lines.py	2012-04-18 07:35:42 +0000
@@ -423,7 +423,7 @@
 
 class chricar_budget(osv.osv):
       _inherit = "chricar.budget"
-      _logger = logging.getLogger(_name)
+      _logger = logging.getLogger(__name__)
 
       def copy(self, cr, uid, id, default=None, context=None):
         if default is None:

=== modified file 'chricar_stock_care/stock_care.py'
--- chricar_stock_care/stock_care.py	2012-04-17 15:37:10 +0000
+++ chricar_stock_care/stock_care.py	2012-04-18 07:35:42 +0000
@@ -1,7 +1,4 @@
 # -*- coding: utf-8 -*-
-
-#!/usr/bin/python
-# -*- coding: utf-8 -*-
 ##############################################
 #
 # ChriCar Beteiligungs- und Beratungs- GmbH

=== modified file 'chricar_stock_partner_stat/partner_stat.py'
--- chricar_stock_partner_stat/partner_stat.py	2012-01-16 21:02:40 +0000
+++ chricar_stock_partner_stat/partner_stat.py	2012-04-18 07:35:42 +0000
@@ -33,10 +33,7 @@
 #
 ###############################################
 from mx import DateTime
-import time
-import netsvc
 from osv import fields,osv
-#import ir
 from tools import config
 from tools.translate import _
 import tools
@@ -100,10 +97,10 @@
     def _period_id(self, cr, uid, ids, field_name, arg, context=None):
          result = {}
          for date_period in self.browse(cr, uid, ids, context):
-             dp = date_period.date
-             dp = datetime.strptime(dp, '%Y-%m-%d  %H:%M:%S').date()
+             d_p = date_period.date
+             d_p = datetime.strptime(d_p, '%Y-%m-%d  %H:%M:%S').date()
              cr.execute("""select id from account_period where to_date('%s','YYYY-MM-DD') between date_start and date_stop;
-             """ % dp)
+             """ % d_p)
              res = cr.fetchone()
              res_id = (res and res[0]) or False
              result[date_period.id] = int(res_id)

=== modified file 'chricar_test_account_compute/chricar_account.py'
--- chricar_test_account_compute/chricar_account.py	2012-04-17 15:37:10 +0000
+++ chricar_test_account_compute/chricar_account.py	2012-04-18 07:35:42 +0000
@@ -23,7 +23,7 @@
 
 class account_account(osv.osv):
     _inherit = "account.account"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def __compute(self, cr, uid, ids, field_names, arg=None, context=None,
                   query='', query_params=()):

=== modified file 'chricar_tools_export/tools_export.py'
--- chricar_tools_export/tools_export.py	2012-04-17 15:37:10 +0000
+++ chricar_tools_export/tools_export.py	2012-04-18 07:35:42 +0000
@@ -76,7 +76,7 @@
         return res
 
     _inherit = 'ir.model'
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
     _columns = {
         #'psql_csv_export': fields.function(_psql_csv_export, method=True,string='PSQL Export SQL',type = 'text',store=True),
         'psql_csv_export': fields.text('PSQL Export SQL'),

=== modified file 'chricar_top/top.py'
--- chricar_top/top.py	2012-04-17 15:37:10 +0000
+++ chricar_top/top.py	2012-04-18 07:35:42 +0000
@@ -274,7 +274,7 @@
 
 class res_partner(osv.osv):
       _inherit = "res.partner"
-      _logger = logging.getLogger(_name)
+      _logger = logging.getLogger(__name__)
 
       def _lease_current_sum(self, cr, uid, ids, field_name, arg, context=None):
          result = {}

=== modified file 'mrp_bom_calc/mrp.py'
--- mrp_bom_calc/mrp.py	2012-04-17 15:37:10 +0000
+++ mrp_bom_calc/mrp.py	2012-04-18 07:35:42 +0000
@@ -23,12 +23,9 @@
 #
 #
 ##############################################################################
-
 from osv import fields
 from osv import osv
-#import ir
 import decimal_precision as dp
-
 import netsvc
 from tools import config
 

=== modified file 'picking_invoice_rel/purchase.py'
--- picking_invoice_rel/purchase.py	2012-01-28 19:35:00 +0000
+++ picking_invoice_rel/purchase.py	2012-04-18 07:35:42 +0000
@@ -20,25 +20,24 @@
 #
 ##############################################################################
 from osv import fields, osv
-import netsvc
+import logging
 
 class purchase_order(osv.osv):
     _inherit = "purchase.order"
+    _logger = logging.getLogger(__name__)
 
     def action_invoice_create(self, cr, uid, ids, context=None):
         res = super(purchase_order, self).action_invoice_create(cr, uid, ids, context) 
-        logger = netsvc.Logger()
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'PO inv create ids,res:%s %s'%(ids,res))
+        self._logger.debug('PO inv create ids,res:%s %s', ids, res)
 
         invoice_ids = res
         if not isinstance(invoice_ids,list):
            invoice_ids = [invoice_ids]
         picking_obj = self.pool.get('stock.picking')
         picking_ids = picking_obj.search(cr, uid, [('purchase_id','in',ids)])
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'PO inv create picking_ids:%s'%(picking_ids))
+        self._logger.debug('PO inv create picking_ids:%s', picking_ids)
         for picking_id in picking_ids:
             picking_obj.write(cr, uid, picking_id, {'invoice_ids' : [(6,0, invoice_ids )]}, context=context) 
         return res
 
 purchase_order()
-

=== modified file 'picking_invoice_rel/sale.py'
--- picking_invoice_rel/sale.py	2012-03-11 12:17:12 +0000
+++ picking_invoice_rel/sale.py	2012-04-18 07:35:42 +0000
@@ -20,25 +20,24 @@
 #
 ##############################################################################
 from osv import fields, osv
-import netsvc
+import logging
 
 class sale_order(osv.osv):
     _inherit = "sale.order"
+    _logger = logging.getLogger(__name__)
 
     def action_invoice_create(self, cr, uid, ids, grouped=False, states=['confirmed', 'done', 'exception'], date_inv = False, context=None):
         res = super(sale_order, self).action_invoice_create(cr, uid, ids, grouped, states, date_inv, context)
-        logger = netsvc.Logger()
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'SO inv create ids,res:%s %s'%(ids,res))
+        self._logger.debug('SO inv create ids,res:%s %s', ids,res)
 
         invoice_ids = res
         if not isinstance(invoice_ids,list):
            invoice_ids = [invoice_ids]
         picking_obj = self.pool.get('stock.picking')
         picking_ids = picking_obj.search(cr, uid, [('sale_id','in',ids)])
-        logger.notifyChannel('addons.'+self._name, netsvc.LOG_INFO,'PO inv create picking_ids:%s'%(picking_ids))
+        self._logger.debug('PO inv create picking_ids:%s', picking_ids)
         for picking_id in picking_ids:
             picking_obj.write(cr, uid, picking_id, {'invoice_ids' : [(6,0, invoice_ids )]}, context=context) 
         return res
 
 sale_order()
-

=== modified file 'purchase_landed_costs/purchase.py'
--- purchase_landed_costs/purchase.py	2012-04-17 15:44:16 +0000
+++ purchase_landed_costs/purchase.py	2012-04-18 07:35:42 +0000
@@ -115,7 +115,7 @@
 
 class purchase_order(osv.osv):
     _inherit = "purchase.order"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _landed_cost_base_value(self, cr, uid, ids, name, args, context):
         if not ids : return {}

=== modified file 'purchase_landed_costs/stock.py'
--- purchase_landed_costs/stock.py	2012-04-17 15:44:16 +0000
+++ purchase_landed_costs/stock.py	2012-04-18 07:35:42 +0000
@@ -186,7 +186,7 @@
 
 class stock_partial_picking(osv.osv_memory):
     _inherit = "stock.partial.picking"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _product_cost_for_average_update(self, cr, uid, move):
        res = super(stock_partial_picking, self)._product_cost_for_average_update(cr, uid, move)

=== modified file 'stock_product_location/purchase.py'
--- stock_product_location/purchase.py	2012-04-17 15:44:16 +0000
+++ stock_product_location/purchase.py	2012-04-18 07:35:42 +0000
@@ -24,7 +24,7 @@
 
 class purchase_order(osv.osv):
     _inherit= "purchase.order"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _prepare_order_line_move(self, cr, uid, order, order_line, picking_id, context=None): 
         res = super(purchase_order,self)._prepare_order_line_move( cr, uid, order, order_line, picking_id, context)

=== modified file 'stock_product_location/sale.py'
--- stock_product_location/sale.py	2012-04-17 15:44:16 +0000
+++ stock_product_location/sale.py	2012-04-18 07:35:42 +0000
@@ -24,7 +24,7 @@
 
 class sale_order(osv.osv):
     _inherit= "sale.order"
-    _logger = logging.getLogger(_name)
+    _logger = logging.getLogger(__name__)
 
     def _prepare_order_line_move(self, cr, uid, order, line, picking_id, date_planned, context=None):
         res = super(sale_order,self)._prepare_order_line_move( cr, uid, order, line, picking_id, date_planned, context)

